
CN REST - Story #7422

Invalid system metadata with some CN system metadata entries

2015-10-12 14:58 - Dave Vieglais

Status: Closed Start date: 2015-10-12

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_cn_common Estimated time: 0.00 hour

Target version: CCI-2.2.0   

Story Points:    

Description

It appears that Jibx serializer generates invalid XML for some system metadata entries. There are two (common) cases that are

problematic:

1. Null elements are actually serialized as elements with zero length string.

Example: peggym.38.1

urn:node:KNB

 

is invalid because blockedMemberNode is of type d1:NonEmptyString. The blockedMemberNode entry should not be present if

empty.

1. Container elements with no entries are serialized as an empty element instead of null.

Example: ajpelu.4.1

is invalid because accessPolicy should container 1 or more AccessRule entries

Subtasks:

Task # 7423: Python baseclient should handle invalid system metadata produced by the CNs Closed

Task # 7745: JibX generated classes need additional logic to prohibit empty elements Closed

History

#1 - 2015-10-12 15:02 - Dave Vieglais

- % Done changed from 0 to 30

- Status changed from New to In Progress

#2 - 2016-04-19 18:25 - Robert Waltz

- Assignee changed from Dave Vieglais to Robert Waltz

#3 - 2016-04-19 18:26 - Robert Waltz

- Target version set to CCI-2.2.0

#4 - 2016-04-19 18:26 - Robert Waltz

- Project changed from Infrastructure to CN REST

- Category deleted (d1_schemas)

#5 - 2016-04-19 18:26 - Robert Waltz

- Category set to d1_cn_common

#6 - 2016-05-17 17:08 - Robert Waltz
- % Done changed from 30 to 50

- Status changed from In Progress to Testing

#7 - 2016-06-14 19:43 - Robert Waltz

- % Done changed from 50 to 100

- Status changed from Testing to Closed
